# -*- coding: utf-8 -*-
# Generated by Django 1.11.17 on 2021-04-15 20:48
from __future__ import unicode_literals

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('customers', '0056_auto_20210407_1315'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalPromotions',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False, verbose_name='created at')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('description', models.TextField(verbose_name='description')),
                ('number_periods', models.PositiveIntegerField(default=1)),
                ('info_periods', django.contrib.postgres.fields.jsonb.JSONField(null=True, verbose_name='Info periods')),
                ('initial_date', models.DateField(blank=True, null=True)),
                ('status_field', models.BooleanField(default=False, verbose_name='deleted')),
                ('active', models.BooleanField(default=False, verbose_name='active')),
                ('end_date', models.DateField(blank=True, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical promotion',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.CreateModel(
            name='Promotions',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('description', models.TextField(verbose_name='description')),
                ('number_periods', models.PositiveIntegerField(default=1)),
                ('info_periods', django.contrib.postgres.fields.jsonb.JSONField(null=True, verbose_name='Info periods')),
                ('initial_date', models.DateField(blank=True, null=True)),
                ('status_field', models.BooleanField(default=False, verbose_name='deleted')),
                ('active', models.BooleanField(default=False, verbose_name='active')),
                ('end_date', models.DateField(blank=True, null=True)),
                ('plan', models.ManyToManyField(blank=True, to='customers.Plan')),
            ],
            options={
                'verbose_name': 'promotion',
                'verbose_name_plural': 'promotions',
                'ordering': ['-pk'],
                'permissions': (('view_promotion', 'Can view promotions data'), ('list_promotion', 'Can list promotions data')),
            },
        ),
        migrations.AddField(
            model_name='charge',
            name='active',
            field=models.BooleanField(default=True, verbose_name='active'),
        ),
        migrations.AddField(
            model_name='charge',
            name='date_to_set_active',
            field=models.DateField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='credit',
            name='active',
            field=models.BooleanField(default=True, verbose_name='active'),
        ),
        migrations.AddField(
            model_name='credit',
            name='date_to_set_active',
            field=models.DateField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='historicalcharge',
            name='active',
            field=models.BooleanField(default=True, verbose_name='active'),
        ),
        migrations.AddField(
            model_name='historicalcharge',
            name='date_to_set_active',
            field=models.DateField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='historicalcredit',
            name='active',
            field=models.BooleanField(default=True, verbose_name='active'),
        ),
        migrations.AddField(
            model_name='historicalcredit',
            name='date_to_set_active',
            field=models.DateField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='historicalmainreason',
            name='promo',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.Promotions'),
        ),
        migrations.AddField(
            model_name='mainreason',
            name='promo',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='customers.Promotions', verbose_name='promo'),
        ),
        migrations.AddField(
            model_name='service',
            name='promotions',
            field=models.ManyToManyField(blank=True, to='customers.Promotions'),
        ),
    ]
